Subject: Re: arm-linux ELF format problem

From: Michael Slater <[email-masked]>
Date: Tue, 16 May 2000 06:10:01 -0400 (EDT)

Hello ,

I went thro the fix that is given in the site mentioned below.
I did the modification to the specs file as it said , but that doesn't seem
to make any difference.

I have the cross-compiler binary taken from

http://www-ict.its.tudelft.nl/~erik/open-source/arm-linux-cross/

do I have to compile everything afresh or can I do modifications for the
binary I have.

Cheers
Mike

------Original Message------
From: Scott Bambrough <[email-masked]>
To: Umesh Puranik <[email-masked]>
Sent: May 15, 2000 4:45:17 PM GMT
Subject: Re: arm-linux ELF format problem

The answer can be found here:

http://www.netwinder.org/~scottb/notes/Binutils-Notes-2.html#ss2.2

Umesh Puranik wrote:
>
> I am trying to build a gcc cross-compiler for ARM/Linux on
> a PC (Pentium III).
> When I try to compile a simple c program (hello.c),
> I get an error message:
> ld: unsupported emulation format elf32arm
>
> I am using the following sources to build the compiler:
> binutils-2.9.5.0.41
> gcc-2.95.2
> linux kernel 2.2.2
>
> I am not able to build the libraries using glibc-2.1.2 for
> the same reason as above.
>
> Could anybody tell what is going wrong? Or do I need to use
> any patches?
>
> Umesh
>
> unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
> ++        Please use [email-masked] for          
++
> ++                        kernel-related discussions.                     
++

--
Scott Bambrough - Software Engineer
REBEL.COM    http://www.rebel.com
NetWinder    http://www.netwinder.org

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for          
++
++                        kernel-related discussions.                     
++

______________________________________________
FREE Personalized Email at Mail.com
Sign up at http://www.mail.com/?sr=signup

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++